Subject: Re: bug#41346: 28.0.50; feature/native-comp: assertion error

From: Gregor Zattler <[email-masked]>
Date: Sun, 17 May 2020 22:20:50 +0200

Hi Andrea,
* Andrea Corallo <[email-masked]> [2020-05-17; 08:11]:
> Gregor Zattler <[email-masked]> writes:
>> I tried to build feature/native-comp as of yesterday (commit
>> d6f6353cfdbbea5501915675081265b4dc4591e3) on an up-to-date
>> x86_64-pc-linux-gnu (Thinkpad, 8GB RAM, i5-4300U CPU) debian
>> buster (10.4) with version 8.3.0-6 of libgccjit installed
>> and got an assertion error.  I got it running a week or two
>> ago, though.
>>
>> I do the build with a little shell script, with `set -x`.
>> Below you find the output (stdout, sdterr) of said script.
>>
>>
>> Thanks for working on emacs, on native-comp and for looking
>> into this, Gregor
>
> Hi Gregor,
>
> 9e9421c7ee fixes this bug for me, could you give it a try?

yes with this commit I'm able to build emacs again and it
works like before.  Thank you very much, Gregor